xclade
Admin APIWorkflows executions

Succeed a Step in a Workflow's Execution

Set the status of a step in a workflow's execution as successful. This is useful for long-running workflows.

POST
/admin/workflows-executions/{workflow_id}/steps/success
AuthorizationBearer <token>

In: header

Path Parameters

workflow_id*string

The workflows execution's workflow id.

Request Body

application/json

transaction_id*string

The workflows execution's transaction ID.

step_id*string

The ID of the step whose status was changed.

response?unknown

Sets the step's response. It accepts any type.

compensate_input?unknown

Sets the compensation function's input. It accepts any response.

action?string

Whether to invoke or compensate the step.

Value in"invoke" | "compensate"

Response Body

application/json

application/json

text/plain

application/json

application/json

application/json

application/json

curl -X POST "https://{tenant}.api.myxclade.com/admin/workflows-executions/string/steps/success" \  -H "Content-Type: application/json" \  -d '{    "transaction_id": "string",    "step_id": "string"  }'
{
  "success": true
}

{
  "message": "Discount must be set to dynamic",
  "type": "not_allowed"
}

"Unauthorized"
{
  "message": "Entity with id 1 was not found",
  "type": "not_found"
}
{
  "code": "unknown_error",
  "message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
  "type": "QueryRunnerAlreadyReleasedError"
}
{
  "code": "invalid_request_error",
  "message": "Discount with code TEST already exists.",
  "type": "duplicate_error"
}

{
  "code": "api_error",
  "message": "An error occured while hashing password",
  "type": "database_error"
}